The Spring Framework

## org.springframework.beans.factory
Interface BeanClassLoaderAware

All Known Implementing Classes:
  AbstractAdvisorAutoProxyCreator, AbstractAutoProxyCreator, AbstractEntityManagerFactoryBean, AbstractFactoryBean, AbstractHttpInvokerRequestExecutor, AbstractServiceLoaderBasedFactoryBean, AbstractSingletonProxyFactoryBean, AnnotationAwareAspectJAutoProxyCreator, AnnotationMBeanExporter, AnnotationSessionFactoryBean, AspectJAwareAdvisorAutoProxyCreator, AspectJWeavingEnabler, AxisBeanMappingServicePostProcessor, BeanNameAutoProxyCreator, BshScriptFactory, BurlapClientInterceptor, BurlapExporter, BurlapProxyFactoryBean, BurlapServiceExporter, CommonsHttpInvokerRequestExecutor, CustomAutowireConfigurer, CustomEditorConfigurer, CustomScopeConfigurer, DefaultAdvisorAutoProxyCreator, DefaultContextLoadTimeWeaver, FieldRetrievingFactoryBean, GroovyScriptFactory, HessianClientInterceptor, HessianExporter, HessianProxyFactoryBean, HessianServiceExporter, HttpInvokerClientInterceptor, HttpInvokerProxyFactoryBean, HttpInvokerServiceExporter, InfrastructureAdvisorAutoProxyCreator, InterfaceBasedMBeanInfoAssembler, JaxRpcPortProxyFactoryBean, JaxWsPortProxyFactoryBean, JmsInvokerProxyFactoryBean, JmsInvokerServiceExporter, JndiObjectFactoryBean, JndiRmiProxyFactoryBean, JndiRmiServiceExporter, JRubyScriptFactory, ListFactoryBean, LocalContainerEntityManagerFactoryBean, LocalEntityManagerFactoryBean, LocalPersistenceManagerFactoryBean, LocalSessionFactoryBean, LocalSessionFactoryBean, LocalStatelessSessionProxyFactoryBean, MapFactoryBean, MBeanClientInterceptor, MBeanExporter, MBeanProxyFactoryBean, MBeanServerConnectionFactoryBean, MethodInvokingFactoryBean, MethodInvokingJobDetailFactoryBean, MethodInvokingRunnable, MethodInvokingTimerTaskFactoryBean, MethodMapTransactionAttributeSource, ObjectFactoryCreatingFactoryBean, PersistenceExceptionTranslationPostProcessor, ProxyFactoryBean, RemoteAccessor, RemoteExporter, RemoteInvocationBasedAccessor, RemoteInvocationBasedExporter, RemoteInvocationSerializingExporter, RemotingSupport, ResourceBundleMessageSource, RmiBasedExporter, RmiClientInterceptor, RmiProxyFactoryBean, RmiServiceExporter, ScriptFactoryPostProcessor, ServiceFactoryBean, ServiceListFactoryBean, ServiceLoaderFactoryBean, SetFactoryBean, SimpleBurlapServiceExporter, SimpleHessianServiceExporter, SimpleHttpInvokerRequestExecutor, SimpleHttpInvokerServiceExporter, SimpleRemoteStatelessSessionProxyFactoryBean, TransactionProxyFactoryBean, UrlBasedRemoteAccessor

    public interface BeanClassLoaderAware

Callback that allows a bean to be aware of the bean `class loader`; that is, the class loader used by the present bean factory to load bean classes.

This is mainly intended to be implemented by framework classes which have to pick up application classes by name despite themselves potentially being loaded from a shared class loader.

For a list of all bean lifecycle methods, see the `BeanFactory javadocs`.

Since:
  2.0
Author:
  Juergen Hoeller
See Also:
  `BeanNameAware`, `BeanFactoryAware`, `InitializingBean`

Method Summary
`void` `setBeanClassLoader(ClassLoader classLoader)` Callback that supplies the bean `class loader` to a bean instance.

Method Detail

### setBeanClassLoader

    void setBeanClassLoader(ClassLoader classLoader)

  Callback that supplies the bean `class loader` to a bean instance.

  Invoked after the population of normal bean properties but before an initialization callback such as `InitializingBean's` `InitializingBean.afterPropertiesSet()` method or a custom init-method.

  Parameters:
    `classLoader` - the owning class loader; may be `null` in which case a default `ClassLoader` must be used, for example the `ClassLoader` obtained via `ClassUtils.getDefaultClassLoader()`

The Spring Framework

Copyright © 2002-2008 The Spring Framework.